Class GetTrackRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Track, GetTrackRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Track, GetTrackRequest.Builder>
se.michaelthelin.spotify.requests.data.tracks.GetTrackRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<Track, GetTrackRequest.Builder>
- Enclosing class:
GetTrackRequest
public static final class GetTrackRequest.Builder
extends AbstractDataRequest.Builder<Track, GetTrackRequest.Builder>
Builder class for building a
GetTrackRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.The track ID setter.market(CountryCode market) The market country code setter.protected GetTrackRequest.Builderself()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newGetTrackRequest.Builder.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.
-
-
Method Details
-
id
The track ID setter.- Parameters:
id- The Spotify ID for the track.- Returns:
- A
GetTrackRequest.Builder. - See Also:
-
market
The market country code setter.- Parameters:
market- Optional. An ISO 3166-1 alpha-2 country code. Provide this parameter if you want to apply Track Relinking.- Returns:
- A
GetTrackRequest.Builder. - See Also:
-
build
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Track, GetTrackRequest.Builder>- Returns:
- This instance.
-